Bug 832798 - [text] Typo in exception "raise Exception("Could not like to directory. Path does not exist ") - like -> link
[text] Typo in exception "raise Exception("Could not like to directory. Path ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: Greg Padgett
Leonid Natapov
storage
: CodeChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 09:30 EDT by Yaniv Kaul
Modified: 2016-06-12 19:15 EDT (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-21
Doc Type: Bug Fix
Doc Text:
Previously there was a typo in the text for "raise exception" that read "could not like to directory. Path does not exist." This has been corrected to read "could not link to directory. Path does not exist."
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 13:59:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-06-17 09:30:18 EDT
Description of problem:
Upstream already has this typo fixed.
From /usr/share/vdsm/storage/storageServer.py :

    def connect(self):
        if not self.checkTarget():
            #TODO: Use proper exception
            raise Exception("Could not like to directory. Path does not exist "
                    "or isn't a directory")


Version-Release number of selected component (if applicable):
vdsm-4.9.6-16.0.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 4 Haim 2012-07-25 09:34:15 EDT
tested via looking into source code in  /usr/share/vdsm/storage/storageServer.py    
def connect(self):
        if not self.checkTarget():
            #TODO: Use proper exception
            raise Exception("Could not link to directory. Path does not exist "
                    "or isn't a directory

fixed tested in vdsm-4.9.6-23
Comment 7 errata-xmlrpc 2012-12-04 13:59:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.